Debian Bug report logs - #504101
isight-firmware-tools: Does not error out when path is wrong

version graph

Package: isight-firmware-tools; Maintainer for isight-firmware-tools is Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>; Source for isight-firmware-tools is src:isight-firmware-tools.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Fri, 31 Oct 2008 13:21:01 UTC

Severity: grave

Found in version isight-firmware-tools/1.2-3

Fixed in version isight-firmware-tools/1.2-5

Done: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#504101; Package isight-firmware-tools. (Fri, 31 Oct 2008 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Fri, 31 Oct 2008 13:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: isight-firmware-tools: Does not error out when path is wrong
Date: Fri, 31 Oct 2008 22:17:50 +0900
Package: isight-firmware-tools
Version: 1.2-3
Severity: grave

Does not give any error message when path to firmware is wrong on debconf question.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP) (ignored: LC_ALL set to ja_JP.eucJP)
Shell: /bin/sh linked to /bin/bash

Versions of packages isight-firmware-tools depends on:
ii  debconf [debconf-2.0]        1.5.23      Debian configuration management sy
ii  hal                          0.5.11-3    Hardware Abstraction Layer
ii  libc6                        2.7-15      GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.1-3     simple interprocess messaging syst
ii  libgcrypt11                  1.4.1-1     LGPL Crypto library - runtime libr
ii  libglib2.0-0                 2.16.6-1    The GLib library of C routines
ii  libhal1                      0.5.11-3    Hardware Abstraction Layer - share
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library

isight-firmware-tools recommends no packages.

isight-firmware-tools suggests no packages.

-- debconf information:
* isight-firmware-tools/extract: true
* isight-firmware-tools/driver-location: /home/dancer/AppleUSBVideoSupport.2nd-macbook




Reply sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
You have taken responsibility. (Wed, 05 Nov 2008 04:51:09 GMT) Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. (Wed, 05 Nov 2008 04:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 504101-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 504101-close@bugs.debian.org
Subject: Bug#504101: fixed in isight-firmware-tools 1.2-5
Date: Wed, 05 Nov 2008 04:32:05 +0000
Source: isight-firmware-tools
Source-Version: 1.2-5

We believe that the bug you reported is fixed in the latest version of
isight-firmware-tools, which is due to be installed in the Debian FTP archive:

isight-firmware-tools_1.2-5.diff.gz
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5.diff.gz
isight-firmware-tools_1.2-5.dsc
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5.dsc
isight-firmware-tools_1.2-5_i386.deb
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (supplier of updated isight-firmware-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Nov 2008 13:12:49 +0900
Source: isight-firmware-tools
Binary: isight-firmware-tools
Architecture: source i386
Version: 1.2-5
Distribution: unstable
Urgency: low
Maintainer: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Description: 
 isight-firmware-tools - Built-in Apple iSight Firmware Tools
Closes: 500419 504101
Changes: 
 isight-firmware-tools (1.2-5) unstable; urgency=low
 .
   * Update debian/README.Debian
   * Disable first macbook firmware. (Closes: #500419)
   * Update debian/config and debian/postinst. (Closes: #504101)
     When a file was not effective and failed in extraction,
     revised it to display a message.
   * Updated Japanese debconf templates.
Checksums-Sha1: 
 aeb6d0d19ba3756e871c5f793d0a224541d547c8 1189 isight-firmware-tools_1.2-5.dsc
 3ea2e5937870324a1cdf1c748e45c46fb3003f5c 12342 isight-firmware-tools_1.2-5.diff.gz
 daf3122073a762fdc3298714b37ef1feaecf1f66 30860 isight-firmware-tools_1.2-5_i386.deb
Checksums-Sha256: 
 88039c6ec4b9e994fc5fedcc8047b6eab3363cef466378bd9228cadb840edcff 1189 isight-firmware-tools_1.2-5.dsc
 06daaa0a9abe88816e0a7f305d99607bcf5ce5609db5a3bfb0cf85487c90dba8 12342 isight-firmware-tools_1.2-5.diff.gz
 51e75e9451e128f4be1b34ff3e1d19456a5fb183cb6872ffd2d999e64fce9d42 30860 isight-firmware-tools_1.2-5_i386.deb
Files: 
 ddc0696191ed3c17207d1e1a460f2ea6 1189 contrib/graphics extra isight-firmware-tools_1.2-5.dsc
 e7affed95ab93d3877683ee7bb3df84b 12342 contrib/graphics extra isight-firmware-tools_1.2-5.diff.gz
 cca971e886af67f0ee1823e5cc8973d0 30860 contrib/graphics extra isight-firmware-tools_1.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEUEARECAAYFAkkRHjQACgkQQSHHQzFw6+kIfACfdsaT3YI1CV6xcR8S4GJ1S4+b
UbQAmPLk3JhvJ8HadFtBdMStGlIZzGY=
=msy4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#504101; Package isight-firmware-tools. (Fri, 05 Dec 2008 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nobuhiro Iwamatsu" <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Fri, 05 Dec 2008 03:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 504101@bugs.debian.org (full text, mbox):

From: "Nobuhiro Iwamatsu" <iwamatsu@nigauri.org>
To: debian-release@lists.debian.org
Cc: 504101@bugs.debian.org, 500419@bugs.debian.org
Subject: Please unblock isight-firmware-tools
Date: Fri, 5 Dec 2008 12:49:01 +0900
Hi,

I just uploaded version 1.2-7 of isight-firmware-tools.

It fiexes the problem that an error was not output to be similar
 when there was a problem on a pass of the firmware and README.Debian
was too old.[0][1]
And I updated po-debconf because debconf template changed by fixing
this problem.

Please unblock this package.

Best regards,
 Nobuhiro

[0]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504101
[1]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500419
-- 
Nobuhiro Iwamatsu




Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#504101; Package isight-firmware-tools. (Tue, 09 Dec 2008 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Tue, 09 Dec 2008 19:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 504101@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: debian-release@lists.debian.org, 504101@bugs.debian.org, 500419@bugs.debian.org
Subject: Re: Please unblock isight-firmware-tools
Date: Tue, 09 Dec 2008 20:04:03 +0100
Nobuhiro Iwamatsu wrote:
> Hi,
> 
> I just uploaded version 1.2-7 of isight-firmware-tools.
> 
> It fiexes the problem that an error was not output to be similar
>  when there was a problem on a pass of the firmware and README.Debian
> was too old.[0][1]
> And I updated po-debconf because debconf template changed by fixing
> this problem.
> 
> Please unblock this package.

unblocked in the meantime.

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jan 2009 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:27:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.